function battle_sai013(npcID)   --姜承

    n=flag.GetBattleValue(12003)
	local ac=0
	for ex=1,7,1 do
		if battle.CheckNpcPlace(ex)==0 then
			if battle.CheckNpcStat(battle.GetPlaceNpcID(ex),10)==0 then
				ac=ac+1
			end
		end
	end
	
	if battle.CheckPlayerStat(16,725)==1 then
	    for se=1,7,1 do
        if battle.CheckNpcPlace(se)==0 then
	    local tid=battle.GetPlaceNpcID(se)
		    if npc.GetHP(tid,1)>2 then
			   npc.CreateSE(tid,3844)--剑斩的特效
			   global.PlaySound(531,200)--音效插入
			   npc.ChangeHP(1,0,tid,-2)
			end
	    end
		end	
	wt(1.5)
	end
	
	if ac>1 then
		battle.MagicToNpc(0,1459,1)
	else
		a=battle.GetRndNumber(1,10)
		id=battle.GetRndPlayer()
		if a<=4 and a>=1 then
			battle.AtkToPlayer(id,1)
		elseif a>=5 and a<=7 then
			battle.MagicToPlayer(id,1457,1)
		else
			battle.MagicToPlayer(id,1458,1)
		end

	end
end